/* 
Theme Name: Valpix Child Theme
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child Theme.
Author: Valpix GmbH
Author URI: https://www.valpix.ch/
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Custom Styles Valpix */
:focus, :focus-visible {
    outline: none;
}
body{
    color: #000000;
    border: 40px solid #fff;
    background: linear-gradient(60deg, #EBE6D6, #D6A9AE, #EBCB38, #7C9B5C);
	background-size: 400% 400%;
	animation: gradient 20s ease infinite;
	font-family: "Helvetica", Sans-serif !important;
}
@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}
.lead, .gform_confirmation_wrapper{
    font-size: 50px;
    line-height: 69px;
}
.eventinfos {
    font-size: 30px;
    line-height: 52px;
}
p:last-of-type {
    margin-bottom: 0;
}
header {
    margin-top: 80px;
}
header .elementor-container {
    margin-right: 40px !important;
}
h1{
    font-size: 170px;
    line-height: 220px;
}
h2{
    font-size: 50px;
    line-height: 69px;
    font-weight: 300;
}
h3 {
    font-size: 45px;
    padding-bottom: 40px !important;
    font-weight: 700 !important;
}
h3:after{
    position: absolute;
    content: '';
    height: 3px;
    width: 100%;
    background-color: #000;
    bottom: 10px;
    left: 0;
}
h1:only-of-type, h2:only-of-type, h3:only-of-type {
    margin: 0 !important;
}
.formularsection{
    max-width: 915px !important;
}
.gform_wrapper.gravity-theme .gform_fields {
    grid-row-gap: 0px !important;
}
.gfield input {
    box-shadow: 4px 4px 4px #0000003d;
    border: 0;
    border-radius: 0;
    font-size: 22px !important;
    padding: 15px !important;
}
.gfield{
    margin-bottom: 30px !important;
}
.gfield:last-child{
    margin-bottom: 0 !important;
}
.gform_button {
    color: #000 !important;
    font-weight: 700;
    border: 0;
    padding: 0;
    font-size: 22px;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 3px;
}
.gform_button:hover, .gform_button:focus {
    background-color: unset !important;
    outline: none;
}
.gform_footer {
    padding: 0 !important;
    margin-top: 40px !important;
}
.gfield_label {
    font-size: 22px !important;
}
.gfield_required {
    display: none !important;
}
.gfield_checkbox, .gfield_radio {
    display: flex;
}
.gchoice label {
    font-size: 20px !important;
}
.gchoice {
    margin-left: 50px;
}
.gchoice:first-of-type {
    margin-left: 0;
}
.gform_wrapper.gravity-theme .gfield-choice-input+label {
    max-width: none!important;
    position: relative;
    padding-left: 45px;
}
.gfield--type-choice {
    margin: 30px 0!important;
}
.gform_wrapper [type="checkbox"]+label::before, .gform_wrapper [type="radio"]+label::before {
    width: 25px;
    height: 25px;
    background-color: transparent;
    display: block;
    content: "";
    float: left;
    margin-right: 5px;
    z-index: 5;
    position: absolute;
    top: 50%;
    left: 0;
    border: 2px solid #000;
    transform: translateY(-50%);
}
.gform_wrapper input[type="checkbox"]:checked+label::before, .gform_wrapper input[type="radio"]:checked+label::before {
    background-color: #000;
}
.gform_wrapper .gfield-choice-input {
    visibility: hidden;
    position: absolute;
    left: 0;
    right: 0;
    padding: 0;
}





footer{
    font-size: 26px;
}
@media screen and (max-width: 1550px){
    header {
        margin-top: 70px;
    }
    h1 {
        font-size: 140px;
    }
    h2, .lead, .gform_confirmation_wrapper {
        font-size: 45px;
        line-height: 60px;
    }
    section .elementor-widget-wrap {
        margin-right: 40px !important;
    }
}
@media screen and (max-width: 1200px){
    body {
        border: 20px solid #fff;
    }
    header .elementor-container {
        margin-right: 20px !important;
    }
    section .elementor-widget-wrap {
        margin-right: 20px !important;
        margin-left: 20px !important;
    }
    h1 {
        font-size: 115px;
    }
    h2, .lead, .gform_confirmation_wrapper {
        font-size: 35px;
        line-height: 50px;
    }
    h3 {
        font-size: 40px;
    }
    .eventinfos {
        font-size: 27px;
        line-height: 45px;
    }
}
@media screen and (max-width: 800px){
    body {
        border: 15px solid #fff;
    }
    header {
        margin-top: 60px;
    }
    header .elementor-container {
        margin-right: 15px !important;
    }
    section .elementor-widget-wrap {
        margin-right: 15px !important;
        margin-left: 15px !important;
    }
    h1 {
        font-size: 60px;
    }
    h2, .lead, .gform_confirmation_wrapper {
        font-size: 30px;
        line-height: 45px;
    }
    h3 {
        font-size: 35px;
        line-height: 50px;
    }
    .eventinfos {
        font-size: 22px;
        line-height: 40px;
    }
    .gfield input {
        font-size: 20px !important;
        padding: 10px !important;
    }
	.gchoice {
		margin-left: 40px;
	}
    .gform_footer {
        margin-top: 30px !important;
    }
    footer {
        font-size: 17px;
    }
}